NullPointerException (NPE) in NameCatalogueController
Description

This NPE problem currently breaks searching for "Planothidium" in phycobank via UTIS

Caused by: java.lang.NullPointerException

at eu.etaxonomy.cdm.remote.controller.dto.NameCatalogueController.getDatasetIdName (NameCatalog
ueController. java:1312)

at eu.etaxonomy.cdm.remote.controller.dto.NameCatalogueController.doGetTaxonInformation (NameCa
talogueController. java:840)

at sun.reflect.GeneratedMethodAccessor793.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke (InvocableHandlerMeth
od.java:222)

at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest (InvocableHan
dlerMethod. java:137)

at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeA
ndHandle (ServletInvocableHandlerMethod. java:110)

at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHa
ndlerMethod (RequestMappingHandlerAdapter. java:814)

at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handlelIn
ternal (RequestMappingHandlerAdapter. java:737)

at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle (AbstractHand
lerMethodAdapter. java:85)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.java:959)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet. java:893)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet.java:969)
Associated revisions

Revision dd4347b6 - 07/25/2019 10:13 AM - Andreas Kohlbecker
fix #8395 avoiding NPE in NameCatalogueController.getDatasetldName()

History

#1 - 07/25/2019 10:13 AM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|dd4347b628d5737e2682c8d95fcb0eaff9e7ad7.

#2 - 07/31/2019 02:58 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

This is fully solved.
